"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteReportDefinitionInput_1 = require("../shapes/DeleteReportDefinitionInput");
var DeleteReportDefinitionOutput_1 = require("../shapes/DeleteReportDefinitionOutput");
var InternalErrorException_1 = require("../shapes/InternalErrorException");
var ValidationException_1 = require("../shapes/ValidationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteReportDefinition = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteReportDefinition",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteReportDefinitionInput_1.DeleteReportDefinitionInput
    },
    output: {
        shape: DeleteReportDefinitionOutput_1.DeleteReportDefinitionOutput
    },
    errors: [
        {
            shape: InternalErrorException_1.InternalErrorException
        },
        {
            shape: ValidationException_1.ValidationException
        }
    ]
};
//# sourceMappingURL=DeleteReportDefinition.js.map